Tds8Test (jTDS API)
Keywords: net.sourceforge.jtds.test.Tds8Test class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class Tds8Test

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.DatabaseTestCase
                      net.sourceforge.jtds.test.Tds8Test

All Implemented Interfaces:
  junit.framework.Test

public class Tds8Test
extends DatabaseTestCase

Test case to illustrate use of TDS 8 support

Version:
  1.0

Field Summary

Fields inherited from class net.sourceforge.jtds.test.DatabaseTestCase
``

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`Tds8Test(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static junit.framework.Test` | `suite()`
`void` | `testBigInt1()`
`void` | `testBigInt2()` Test BIGINT data type.
`void` | `testColumnCollations()` Test column collations.
`void` | `testEncoding1251Test1()` Test for bug [981958] PreparedStatement doesn't work correctly
`void` | `testMetaData()`
`void` | `testNullBoolean()` Test for bug [1042272] jTDS doesn't allow null value into Boolean.
`void` | `testSQL2005MetaData()` Test for enhanced database metadata for SQL 2005.
`void` | `testSqlVariant()`
`void` | `testUserFn()`

Methods inherited from class net.sourceforge.jtds.test.DatabaseTestCase
`compareBytes, dropFunction, dropProcedure, dropProcedure, dropTable, getLongString, getLongString, getType, getTypemap`

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tds8Test

    public Tds8Test(java.lang.String name)

Method Detail

### suite

    public static junit.framework.Test suite()

### testBigInt1

    public void testBigInt1()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBigInt2

    public void testBigInt2()
                     throws java.lang.Exception

  Test BIGINT data type. Test for [989963] BigInt becomes Numeric

  Throws:
    `java.lang.Exception`

### testSqlVariant

    public void testSqlVariant()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testUserFn

    public void testUserFn()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMetaData

    public void testMetaData()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNullBoolean

    public void testNullBoolean()
                         throws java.lang.Exception

  Test for bug [1042272] jTDS doesn't allow null value into Boolean.

  Throws:
    `java.lang.Exception`

### testColumnCollations

    public void testColumnCollations()
                              throws java.lang.Exception

  Test column collations.

  Throws:
    `java.lang.Exception`

### testEncoding1251Test1

    public void testEncoding1251Test1()
                               throws java.lang.Exception

  Test for bug [981958] PreparedStatement doesn't work correctly

  Throws:
    `java.lang.Exception`

### testSQL2005MetaData

    public void testSQL2005MetaData()
                             throws java.lang.Exception

  Test for enhanced database metadata for SQL 2005. E.g. distinguish between varchar(max) and text.

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009